#!/bin/sh

w_search(){
  printf '
  [form #search method=GET action=?
    [select name=o size=1 
      [option disabled=disabled Order By]
      [option value=Name Name]
      [option value=Date Date]
      [option value=Length Length]
    ]
    [input name=s placeholder=Search value="%s"]
  ]
  ' \
  "$(HTML "$SEARCH")"
}

w_prefs(){
  fakemp4="$(COOKIE fakemp4)"
  mode="$(COOKIE mode)"
  printf '
  [form #prefs method="POST" action="?a=setprefs"
    [a href="#" x]
    [hidden "ref" "%s"]
    [label for=prefs_ps Pagesize]
    [input #prefs_ps type=number name=pagesize value="%s"][br]
    [radio "mode" "browse" %s #prefs_modebrowse] [label for=prefs_modebrowse Browse Folders][br]
    [radio "mode" "index"  %s #prefs_modeindex ] [label for=prefs_modeindex View Full Index][br]
    [checkbox "fakemp4" "yes" %s #prefs_fmp4] [label for=prefs_fmp4 Fake .MP4 file ending][br]
    [submit "store" "store" Set Cookie]
  ]
  ' \
  "$(HTML "$REQUEST_URI")" "$LISTSIZE" \
  "$([ "$mode" = index ] || printf checked)" \
  "$([ "$mode" = index ] && printf checked)" \
  "$([ "$fakemp4" = yes    ] && printf checked)"
}

w_index(){
  [ -d "$_DATA/$ITEM/.index" ] || printf '
  [form #index method="POST" action="?a=spawnindex"
    [hidden "ref" "%s"]
    [label Set up for Index view: ]
    [checkbox "recursive" "yes" #spawn_recursive] [label for=spawn_recursive Include subdirectories]
    [submit "spawn" "spawn" Set up]
  ]
  ' "$(HTML "$REQUEST_URI")"
}
